
Name: qt-mobility
Version: 1.0.1
Release: 3%{?dist}
Summary: Qt Mobility Framework
Group: System Environment/Libraries
License: LGPLv2 with exceptions
URL: http://labs.trolltech.com/page/Projects/QtMobility
Source0: http://get.qt.nokia.com/qt/solutions/qt-mobility-opensource-src-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: qt4-mobility = %{version}-%{release}
Provides: qt4-mobility%{?_isa} = %{version}-%{release}

# declarative plugin busted, uses private/precompiled header,
# qmetadatacontrolmetaobject_p.h:65:38: fatal error: QtCore/private/qobject_p.h: No such file or directory
Patch0: qt-mobility-opensource-src-1.0.1-no_declarative.patch

## upstreamable patches
Patch50: qt-mobility-opensource-src-1.0.1-translationsdir.patch

## upstream patches
Patch100: removed-need-for-qimportbase.pri-for-QML-plugin.patch
Patch101: removed-the-use-of-qimportbase.pri-for-QML-plugin.patch
Patch102: remove-need-for-qimportbase.pri.patch

BuildRequires: alsa-lib-devel
BuildRequires: bluez-libs-devel
BuildRequires: chrpath
BuildRequires: pulseaudio-libs-devel
BuildRequires: qt4-devel qt4-webkit-devel

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
Qt Mobility Project delivers a set of new APIs to Qt with features that are well
known from the mobile device world, in particular phones. However, these APIs
allow the developer to use these features with ease from one framework and apply
them to phones, netbooks and non-mobile personal computers. The framework not
only improves many aspects of a mobile experience, because it improves the use
of these technologies, but has applicability beyond the mobile device arena.

%package devel
Summary: Qt Mobility Framework development files
Group: Development/Libraries
Provides: qt4-mobility-devel = %{version}-%{release}
Provides: qt4-mobility-devel%{?_isa} = %{version}-%{release}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt4-devel
%description devel
%{summary}.

%package doc
Summary: API documentation for %{name}
Group: Documentation
Requires: qt4
BuildArch: noarch
%description doc
%{summary}.


%prep
%setup -q -n %{name}-opensource-src-%{version}

%patch0 -p1 -b .no_declarative
%patch50 -p1 -b .translationsdir
%patch100 -p1 -b .qmldir_0
%patch101 -p1 -b .qmldir_1
%patch102 -p1 -b .qmldir_2


%build
PATH=%{_qt4_bindir}:$PATH; export PATH

./configure \
  -prefix %{_qt4_prefix} \
  -bindir %{_bindir} \
  -headerdir %{_qt4_headerdir} \
  -libdir %{_qt4_libdir} \
  -plugindir %{_qt4_plugindir}

make %{?_smp_mflags} 


%install
rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot} 

# manually install docs
install -p -m644 -D doc/qch/qtmobility.qch %{buildroot}%{_qt4_docdir}/qch/qtmobility.qch
mkdir -p %{buildroot}%{_qt4_docdir}/html/qtmobility
cp -a doc/html/* %{buildroot}%{_qt4_docdir}/html/qtmobility/

%find_lang %{name} --all-name --with-qt --without-mo

# die rpath, die
chrpath --delete %{buildroot}%{_bindir}/* ||:
chrpath --delete %{buildroot}%{_qt4_libdir}/libQt*.so ||:
chrpath --delete %{buildroot}%{_qt4_plugindir}/*/*.so ||:


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE.LGPL LGPL_EXCEPTION.txt
%doc changes*
%{_qt4_libdir}/libQtBearer.so.1*
%{_qt4_libdir}/libQtContacts.so.1*
%{_qt4_libdir}/libQtLocation.so.1*
%{_qt4_libdir}/libQtMultimediaKit.so.1*
%{_qt4_libdir}/libQtPublishSubscribe.so.1*
%{_qt4_libdir}/libQtSensors.so.1*
%{_qt4_libdir}/libQtServiceFramework.so.1*
%{_qt4_libdir}/libQtSystemInfo.so.1*
%{_qt4_libdir}/libQtVersit.so.1*
%{_qt4_plugindir}/*

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_qt4_prefix}/mkspecs/features/*
%{_qt4_headerdir}/Qt*/
%{_qt4_headerdir}/qmobilityglobal.h
%{_qt4_libdir}/libQt*.prl
%{_qt4_libdir}/libQt*.so

%files doc
%defattr(-,root,root,-)
%{_qt4_docdir}/qch/qtmobility.qch
%{_qt4_docdir}/html/qtmobility/


%changelog
* Wed Jul 14 2010 Rex Dieter <rdieter@fedoraproject.org> 1.0.1-3
- License: LGPLv2 ...
- -doc subpkg

* Wed Jul 14 2010 Rex Dieter <rdieter@fedoraproject.org> 1.0.1-2
- 1.0.1 (first try, based on work by heliocastro)

